function SimpleDigAlt() {}

SimpleDigAlt.prototype.initialize = function () {
    this.speedDiv = $('<div></div>').appendTo(this.rootElement).addClass('speedDiv');
    this.labelDiv = $('<div></div>').appendTo(this.rootElement).addClass('labelDiv');

    this.loaded = false;

    var self = this;
    this.labelDiv.click(function(){self.toggleUnits();});

    //If no unit was previously selected, default to m
    if ((this.persistance.Unit != "m") && (this.persistance.Unit != "ft")) this.persistance.Unit = "m";
};

SimpleDigAlt.prototype.toggleUnits = function(){
    this.persistance.Unit = this.persistance.Unit === 'ft' ? 'm' : 'ft';
    this.save();
};

SimpleDigAlt.prototype.update = function (streams) {

    this.alt = streams.electrics.altitude;
	
	var value;
	if(this.persistance.Unit == "ft"){
        value = toInt(this.alt/0.3048);
	} else {
		value = toInt(this.alt);
    }

    this.speedDiv.html(rSet(value, 4, "0"));
    this.labelDiv.html("Alt (" + this.persistance.Unit + ")");
};